Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162807 - RFE: please add a package tag that can be used to track the configuration management system's 'branch point' used to build the package
Summary: RFE: please add a package tag that can be used to track the configuration man...
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Paul Nasrat
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-08 20:22 UTC by seth arnold
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-12 10:43:07 UTC


Attachments (Terms of Use)

Description seth arnold 2005-07-08 20:22:24 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050511 Firefox/1.0.4 SUSE/1.0.4-1.1

Description of problem:
We find that package name, epoch, version, and revision is the long way around to determining what software is actually in the package; during initial development, version and revision numbers aren't updated often enough, and during later development, tracking something like the subversion repository revision in the rpm revision leads to too-frequent updates.

A new RPM tag that could be used to store information from the CMS system would help us more quickly determine the software deployed on end-user systems without adding signficant 'churn' for updates.

I see no reason why this tag (CVSID? SVNID? CMSID?) should ever be used in determining which package version is higher, so free-form input would be fine by me.

Thanks!

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.1
2.
3.
  

Additional info:

Comment 1 Jeff Johnson 2005-07-12 10:43:07 UTC
Checked into CVS. The change should be in rpm-4.4.2-0.8 and later. Thanks for the RFE.


Note You need to log in before you can comment on or make changes to this bug.